%define build_target %{_vendor}_nover
%if 0%{?suse_version}
%define build_target suse%{suse_version}
%endif
%if 0%{?fedora}
%define build_target fc%{?fedora}
%endif
%if 0%{?rhel}
%define build_target rhel%{?rhel}
%endif

Name:           openvpn-connector-setup
Version:        1
Release:        2%{?dist}
Summary:        OpenVPN Cloud Connector setup utility

License:        AGPLv3
URL:            https://openvpn.net/cloud-beta/
Source0:        https://swupdate.openvpn.net/community/releases/openvpn-connector-setup-1.tar.gz
Vendor:         OpenVPN Inc

BuildArch:      noarch
BuildRequires:  python3-devel

%description
This utility helps configure this host as an OpenVPN Connector
in an OpenVPN Cloud environment

%package -n python3-%{name}
Summary:        OpenVPN Cloud Connector setup utility
Requires:       openvpn3-client
Requires:       python(abi) >= 3.6

%if 0%{?rhel} < 8 && 0%{?fedora} < 30
Requires:       python36-cryptography
Requires:       python36-dbus
%else
Requires:       python3-cryptography
Requires:       python3-dbus
%endif

%description -n python3-%{name}
Python 3 utility to help configure this host as an
OpenVPN Connector in an OpenVPN Cloud environment

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{name}
%license COPYRIGHT.md
%doc README.md
%{python3_sitelib}/openvpn_connector_setup-*.egg-info/
%{python3_sitelib}/openvpn/
%{_bindir}/openvpn-connector-setup

%changelog
* Tue Apr 14 2020 David Sommerseth <davids@openvpn.net> - 1-2
- Fixed incorrect python3-cryptography/python36-cryptography dependency
- Added missing python3-dbus dependency

* Wed Apr 8 2020 David Sommerseth <davids@openvpn.net> - 1-1
- Initial release

